src.backend.lib.overide.ACatalogue(3)

NAME
src.backend.lib.overide.ACatalogue

SYNOPSIS

Inherits src.backend.lib.library.Catalogue.

  Public Member Functions
def __init__ (self)
def scan_folder (self, _path=None)
def import_books (self, **kwargs)

Detailed Description

Aynchronous overide of library.Catalogue,
: TODO : Complete or discard this overide

Constructor & Destructor Documentation

  def src.backend.lib.overide.ACatalogue.__init__ ( self)

Reimplemented from src.backend.lib.library.Catalogue.

Member Function Documentation

  def src.backend.lib.overide.ACatalogue.import_books ( self, ** kwargs)

Async overide of import_books

Reimplemented from src.backend.lib.library.Catalogue.

  def src.backend.lib.overide.ACatalogue.scan_folder ( self, _path = None)

Scan folder by _path, allows recurisive scanning

Reimplemented from src.backend.lib.library.Catalogue.

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.